AddCSLuaFile()
AddCSLuaFile("mgmarker/cl_mgmarker.lua")
AddCSLuaFile("mgmarker/config_mgmarker.lua")

timer.Simple(0, function()
	DarkRP.removeChatCommand("cr")
	DarkRP.removeChatCommand("911")
	DarkRP.removeChatCommand("999")
	DarkRP.removeChatCommand("110")
	DarkRP.removeChatCommand("112")
	DarkRP.removeChatCommand("100")
	DarkRP.removeChatCommand("000")

	DarkRP.declareChatCommand{
		command = "rmarker",
		description = "Remove a specific marker for yourself.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "rmarkers",
		description = "Remove all markers for yourself.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "cr",
		description = "Call the police.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "911",
		description = "Call the police.",
		delay = 1
	}
	
	DarkRP.declareChatCommand{
		command = "999",
		description = "Call the police.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "100",
		description = "Call the police.",
		delay = 1
	}
	
	DarkRP.declareChatCommand{
		command = "112",
		description = "Call the police.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "100",
		description = "Call the police.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "000",
		description = "Call the police.",
		delay = 1
	}

	DarkRP.declareChatCommand{
		command = "services",
		description = "Open the menu to request a specific service.",
		delay = 1
	}
	
	DarkRP.chatCommandAlias("services", "call")
end)

mg_marker = mg_marker or {}
mg_marker.config = mg_marker.config or {}
mg_marker.users = mg_marker.users or {}

if SERVER then
    include("mgmarker/config_mgmarker.lua")
    include("mgmarker/sv_mgmarker.lua")
    print("[MG-Marker] Serverside loaded.")
elseif CLIENT then
    include("mgmarker/config_mgmarker.lua")
    include("mgmarker/cl_mgmarker.lua")
    print("[MG-Marker] Clientside loaded.")
end